# pmp_bf

Usage: `pmp_bf [options] <tree> <motif>`

Description:

This utility calculates the statistical power of a phylogenetic motif model.

Input:

- <tree> - a file containing a phylogenetic tree in Newick format.
- <motif> - a file containing a set of motifs in MEME format.

Output:

The program prints to standard output.

Options:

- `--bg <float>` - The mutation rate for sites in the background model. The default value is 1.
- `--bgfile <bfile>` - Read background frequencies from `<bfile>`. The file should be in MEME background file format. The default is to use frequencies embedded in the application from the non-redundant database. If the argument is the keyword `motif-file`, then the frequencies will be taken from the motif file.
- `--fg <float>` - The mutation rate for sites in the foreground model(s). The default value is 1.
- `--hb` - Use the Halpern-Bruno modification to the evolutionary model.
- `--motif <id>` - Use only the motif identified by `<id>`. This option may be repeated.
- `--pseudocounts <float>` - A pseudocount to be added to each count in the motif matrix, weighted by the background frequencies for the nucleotides (Dirichlet prior), before converting the motif to probabilities. The default value is 0.1.
- `--pur-pyr <float>` - The ratio of the purine transition rate to pyrimidine transition rate. This parameter is used by the Tamura-nei model. The default value is 1.0.
- `--transition-transversion <float>` - The ratio of the transition rate to the transversion rate. This parameter is used by the Kimura 2-parameter, F84, HKY, and Tamura-nei models. The default value is 0.5.
- `--verbosity 1|2|3|4` - Set the verbosity of status reports to standard error. The default level is 2.

Bugs: None known.